Skip to main content
GET

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Path Parameters

asset
string
required

Asset name.

block_hash
string
required

Block hash.

txid
string
required

Transaction identifier (txid).

Query Parameters

include_sub_accounts
boolean
default:false

Boolean indicating if the response should contain sub-accounts.
This parameter is disabled for Community users.

pretty
boolean
default:false

Human-readable formatting of JSON responses.

ignore_unsupported_errors
boolean
default:false

Ignore "unsupported" errors for not currently supported by Coin Metrics items.

Response

Blockchain full transaction.

Blockchain full transaction response.

txid
string
required

Identifier (txid) of the transaction.

consensus_time
string<date-time>
required

The time in ISO 8601 date-time format. Always with nanoseconds precision.

tx_position
string<int64>
required

Transaction position.

n_balance_updates
string<int64>
required

Number of balance updates.

amount
string<decimal>
required

Sum of all debits in the transaction.

block_hash
string
required

Hash of the block.

height
string<int64>
required

Height of the block.

miner_time
string<date-time>

The time in ISO 8601 date-time format. Always with nanoseconds precision.

min_chain_sequence_number
string<int64>

Chain sequence number.

max_chain_sequence_number
string<int64>

Chain sequence number.

stale
string

This field is set to true if the corresponding block is stale. Otherwise omitted.

version
string

Version of the transaction.

physical_size
string<decimal>

Physical size of the transaction, bytes.

consensus_size
string<decimal>

Consensus size of the transaction.

fee
string<decimal>

Fee of the transaction.

balance_updates
object[]